controllers/DepartController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Depart;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * DepartController implements the CRUD actions for Depart model.
 */
class DepartController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Depart models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Depart::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Depart model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Depart model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Depart();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dept_no]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Depart model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dept_no]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Depart model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Depart model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Depart the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Depart::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
     public function actionConsulta2(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Depart::find();
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
                 
       
              
       return $this->render("consulta2",[
           "dp"=>$d,
       ]);
    }
       
       public function actionConsulta4(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Depart::find();
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta4",[
           "dp"=>$d,
       ]);
        
    }
    
     public function actionConsulta5(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Depart::find();
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta5",[
           "dp"=>$d,
       ]);
        
    }
    
     public function actionConsulta9(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r= Depart::find()->count();
       
              
       return $this->render("consulta9",[
           "d"=>$r,
       ]);
        
    }
}

controllers/EmpleController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Emple;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;


/**
 * EmpleController implements the CRUD actions for Emple model.
 */
class EmpleController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Emple models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Emple::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Emple model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Emple model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Emple();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->emp_no]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Emple model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->emp_no]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Emple model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Emple model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Emple the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Emple::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
    // Mostrar todos los campos y todos los 
    // registros de la tabla empleado
    public function actionConsulta1(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find();
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta1",[
           "dataProvider"=>$d,
       ]);
    }
       
     public function actionConsulta3(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find();
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta3",[
           "dataProvider"=>$d,
       ]);
        
    }
    
     public function actionConsulta6(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()->count();
       
              
       return $this->render("consulta6",[
           "d"=>$r,
       ]);
        
    }
    
     public function actionConsulta7(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()->orderBy("apellido");
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta7",[
           "dataProvider"=>$d,
       ]);
        
    }
    
     public function actionConsulta8(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()->orderBy(["apellido"=>SORT_DESC]);
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta8",[
           "dataProvider"=>$d,
       ]);
        
    }
    
     public function actionConsulta10(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()->orderBy([
           "dept_no"=>SORT_DESC,
           ]);
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta10",[
           "dataProvider"=>$d,
       ]);
        
    }
    
     public function actionConsulta11(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()->orderBy([
           "dept_no"=>SORT_DESC,
           "oficio"=>SORT_ASC,
           ]);
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta11",[
           "dataProvider"=>$d,
       ]);
        
    }
    
     public function actionConsulta12(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()->orderBy([
           "dept_no"=>SORT_DESC,
           "apellido"=>SORT_ASC,
           ]);
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta12",[
           "dataProvider"=>$d,
       ]);
        
    }
    
    public function actionConsulta13(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()
               ->select('emp_no')
               ->where(['>','salario','2000']);
           
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
             
       
              
       return $this->render("consulta13",[
           "dataProvider"=>$d,
       ]);
        
    }
    
    public function actionConsulta14(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()
               ->select('emp_no,apellido')
               ->where(['<','salario','2000']);
           
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
              
              
       return $this->render("consulta14",[
           "dataProvider"=>$d,
       ]);
        
    }
    
     public function actionConsulta15(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()
               ->where(['between','salario',1500,2500]);
           
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
              
              
       return $this->render("consulta15",[
           "dataProvider"=>$d,
       ]);
        
    }
    
     public function actionConsulta16(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()
               ->where("oficio like 'analista'");
       
              
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
              
              
       return $this->render("consulta16",[
           "dataProvider"=>$d,
       ]);
        
    }
    
    public function actionConsulta17(){
       /**
        * voy a utilizar ActiveQuery
        * desde ActiveRecord
        */ 
       $r=Emple::find()
               ->where("oficio like 'analista'
                        and
                       'salario' < 2000"
                       );
       
              
       
       /**
        * voy a utilizar un dataprovider 
        * desde activeQuery
        */
       $d=new ActiveDataProvider([
           "query"=>$r,
       ]);
       
              
              
       return $this->render("consulta17",[
           "dataProvider"=>$d,
       ]);
        
    }
    

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/index.php
<?php
    use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Practica 2</h1>

        <p class="lead">Consultas</p>
    </div>


    <div class="body-content">
        <div class="row">
            <div class="col-md-2">
                Consulta 1.-
            </div>
            <div class="col-md-8">
               Mostrar todos los campos y todos los registros de la tabla empleado
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta1'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>
        </div>
         <div class="row">
            <div class="col-md-2">
                Consulta 2.-
            </div>
            <div class="col-md-8">
            Mostrar todos los campos y todos los registros de la tabla departamento               
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['depart/consulta2'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>
        </div>
        <div class="row">
            <div class="col-md-2">
                Consulta 3.-
            </div>
            <div class="col-md-8">
            Mostrar el apellido y oficio de cada empleado.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta3'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>
        </div>
        <div class="row">
            <div class="col-md-2">
                Consulta 4.-
            </div>
            <div class="col-md-8">
            Mostrar localización y número de cada departamento.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['depart/consulta4'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>
        </div>      
        <div class="row">
            <div class="col-md-2">
                Consulta 5.-
            </div>
            <div class="col-md-8">
            Mostrar el número, nombre y localización de cada departamento.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['depart/consulta5'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>
        <div class="row">
            <div class="col-md-2">
                Consulta 6.-
            </div>
            <div class="col-md-8">
            Numero de empleados que hay.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta6'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 7.-
            </div>
            <div class="col-md-8">
            Datos de los empleados ordenados por apellido de forma ascendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta7'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 8.-
            </div>
            <div class="col-md-8">
            Datos de los empleados ordenados por apellido de forma descendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta8'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 9.-
            </div>
            <div class="col-md-8">
            Numero de departamentos que hay.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['depart/consulta9'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 10.-
            </div>
            <div class="col-md-8">
            Datos de los empleados ordenados por numero de departamento descendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta10'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 11.-
            </div>
            <div class="col-md-8">
            Datos de los empleados ordenados por numero de departamento descendente y por oficio ascendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta11'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 12.-
            </div>
            <div class="col-md-8">
            Datos de los empleados ordenados por numero de departamento descendente y por apellido ascendentemente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta12'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 13.-
            </div>
            <div class="col-md-8">
            Mostrar los codigos de los empleados cuyo salario sea mayor de 2000.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta13'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 14.-
            </div>
            <div class="col-md-8">
            Mostrar los codigos y apellidos de los empleados cuyo salario sea menor de 2000.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta14'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
        <div class="row">
            <div class="col-md-2">
                Consulta 15.-
            </div>
            <div class="col-md-8">
            Mostrar los codigos y apellidos de los empleados cuyo salario este entre 1500 y 2500.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta15'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 16.-
            </div>
            <div class="col-md-8">
            Mostrar los datos de los empleados cuyo oficio sea 'ANALISTA'.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta16'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 17.-
            </div>
            <div class="col-md-8">
            Mostrar los datos de los empleados cuyo oficio sea 'ANALISTA' y ganen mas de 2000€.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta17'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 18.-
            </div>
            <div class="col-md-8">
            Seleccionar el apellido y oficio de los empleados del departamento numero 20.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta18'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 19.-
            </div>
            <div class="col-md-8">
            Contar el numero de empleados cuyo oficio sea vendedor.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta19'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 20.-
            </div>
            <div class="col-md-8">
            Mostrar todos los datos de los empleados cuyos apellidos comiencen
            por m o por n ordenados por apellido de forma ascendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta20'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 21.-
            </div>
            <div class="col-md-8">
            Seleccionar los empleados cuyo oficio sea 'VENDEDOR'.
            Mostrar los datos ordenados por apellido de forma ascendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta21'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 22.-
            </div>
            <div class="col-md-8">
            Mostrar los apellidos del empleado que mas gana.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta22'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 23.-
            </div>
            <div class="col-md-8">
            Mostrar los empleados cuyo departamento sea 10 y cuyo oficio sea 'ANALISTA'.
            Ordenar el resultado por apellido y oficio de forma ascendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta23'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 24.-
            </div>
            <div class="col-md-8">
            Realizar un listado de los distintos meses en que los empleados se han dado de alta.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta24'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 25.-
            </div>
            <div class="col-md-8">
            Realizar un listado de los distintos años en que los empleados se han dado de alta.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta25'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 26.-
            </div>
            <div class="col-md-8">
            Realizar un listado de los distintos dias del mes en que los empleados se han dado de alta.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta26'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 27.-
            </div>
            <div class="col-md-8">
            Mostrar los apellidos de los empleados que tengan un salario mayor de 2000 o que pertenezcan
            al departamento número 20.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta27'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 28.-
            </div>
            <div class="col-md-8">
            Realizar un listado donde nos coloque el apellido del empleado y el nombre
            del departamento al que pertenece.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta28'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 29.-
            </div>
            <div class="col-md-8">
            Realizar un listado donde nos coloque el apellido del empleado, el oficio del empleado
            y el nombre del departamento al que pertenece. Ordenar los resultados por apellido
            de forma descendente.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta29'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  
         <div class="row">
            <div class="col-md-2">
                Consulta 30.-
            </div>
            <div class="col-md-8">
            Listar el número de empleados por departamento.
            </div>
            <div class="col-md-2 pad-1">
            <?= Html::a('Ejecutar', ['emple/consulta30'], ['class' => 'btn btn-lg btn-danger']) ?>
            </div>      
        </div>  

    </div>

</div>